# `$controllerProvider` (service in module `ng` )

Improve this doc

## Description

The `$controller service` is used by Angular to create new controllers.

This provider allows controller registration via the `register` method.

## Methods

- ### register(name, constructor)

  #### Parameters

  - `name – {string} –`

    Controller name

  - `constructor – {Function|Array} –`

    Controller constructor fn (optionally decorated with DI annotations in the array notation).